
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Add missing #ifdef __KERNEL / #endif (from Christian T. Steigies)



---

 25-akpm/include/asm-m68k/system.h |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN include/asm-m68k/system.h~68k-377 include/asm-m68k/system.h
--- 25/include/asm-m68k/system.h~68k-377	Thu Jan  8 15:37:39 2004
+++ 25-akpm/include/asm-m68k/system.h	Thu Jan  8 15:37:39 2004
@@ -7,6 +7,8 @@
 #include <asm/segment.h>
 #include <asm/entry.h>
 
+#ifdef __KERNEL__
+
 /*
  * switch_to(n) should switch tasks to task ptr, first checking that
  * ptr isn't the current task, in which case it does nothing.  This
@@ -156,4 +158,6 @@ static inline unsigned long __xchg(unsig
 }
 #endif
 
+#endif /* __KERNEL__ */
+
 #endif /* _M68K_SYSTEM_H */

_
